Ruby: pm_begin_node Struct Reference

Ruby 3.3.6p108 (2024-11-05 revision 75015d4c1f6965b5e85e96fb309f1f2129f933c0)

Data Fields
pm_begin_node Struct Reference

BeginNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
pm_location_t | begin_keyword_loc
| BeginNode#begin_keyword_loc.
struct pm_statements_node * | statements
| BeginNode#statements.
struct pm_rescue_node * | rescue_clause
| BeginNode#rescue_clause.
struct pm_else_node * | else_clause
| BeginNode#else_clause.
struct pm_ensure_node * | ensure_clause
| BeginNode#ensure_clause.
pm_location_t | end_keyword_loc
| BeginNode#end_keyword_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

BeginNode.

Type: PM_BEGIN_NODE

Definition at line 1296 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_begin_node::base

The embedded base node.

Definition at line 1298 of file ast.h.

## ◆ begin_keyword_loc

pm_location_t pm_begin_node::begin_keyword_loc

BeginNode#begin_keyword_loc.

Definition at line 1301 of file ast.h.

## ◆ else_clause

struct pm_else_node* pm_begin_node::else_clause

BeginNode#else_clause.

Definition at line 1310 of file ast.h.

Referenced by pm_node_destroy().

## ◆ end_keyword_loc

pm_location_t pm_begin_node::end_keyword_loc

BeginNode#end_keyword_loc.

Definition at line 1316 of file ast.h.

## ◆ ensure_clause

struct pm_ensure_node* pm_begin_node::ensure_clause

BeginNode#ensure_clause.

Definition at line 1313 of file ast.h.

Referenced by pm_node_destroy().

## ◆ rescue_clause

struct pm_rescue_node* pm_begin_node::rescue_clause

BeginNode#rescue_clause.

Definition at line 1307 of file ast.h.

Referenced by pm_node_destroy().

## ◆ statements

struct pm_statements_node* pm_begin_node::statements

BeginNode#statements.

Definition at line 1304 of file ast.h.

Referenced by pm_node_destroy().

The documentation for this struct was generated from the following file:

- prism/ast.h